Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Header.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Header.php	(revision 20560)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Header.php	(revision 20618)
@@ -87,5 +87,4 @@
         // テンプレートのパス
         $template_path = $this->lfGetTemplatePath($device_type_id);
-        $preview_template_path = $this->lfGetPreviewTemplatePath();
 
         // データ更新処理
@@ -93,7 +92,4 @@
             $division = $_POST['division'];
             $content = $_POST[$division]; // TODO no checked?
-            // プレビュー用のテンプレートに書き込む
-            $preview_template = $preview_template_path.'/'.$division.'.tpl';
-            $this->lfUpdateTemplate($preview_template, $content);
 
             switch ($this->getMode()) {
@@ -104,41 +100,16 @@
                 $this->tpl_onload="alert('登録が完了しました。');";
                 break;
-            case 'preview':
-                if ($division == 'header') $this->header_prev = 'on';
-                if ($division == 'footer') $this->footer_prev = 'on';
-                $this->header_row = isset($_POST['header_row']) ? $_POST['header_row'] : $this->header_row;
-                $this->footer_row = isset($_POST['footer_row']) ? $_POST['footer_row'] : $this->footer_row;
-                break;
             default:
                 // なにもしない
                 break;
             }
-        }else{
-            // postでデータが渡されなければ新規読み込みと判断をし、
-            // プレビュー用テンプレートに正規のテンプレートをロードする
-            $templates = array(
-                'header.tpl',
-                'footer.tpl'
-            );
-            $this->lfLoadPreviewTemplates($preview_template_path, $template_path, $templates);
         }
 
         // テキストエリアに表示
-        $this->header_data = file_get_contents($preview_template_path . '/header.tpl');
-        $this->footer_data = file_get_contents($preview_template_path . '/footer.tpl');
+        $this->header_data = file_get_contents($template_path . '/header.tpl');
+        $this->footer_data = file_get_contents($template_path . '/footer.tpl');
 
         // ブラウザタイプ
         $this->browser_type = isset($_POST['browser_type']) ? $_POST['browser_type'] : "";
-    }
-
-    protected function lfLoadPreviewTemplates($preview_template_path, $template_path, $templates) {
-        if (!is_dir($preview_template_path)) {
-            mkdir($preview_template_path);
-        }
-        foreach($templates as $template) {
-            $source = $template_path . '/' . $template;
-            $dest = $preview_template_path . '/' . $template;
-            copy($source, $dest);
-        }
     }
 
@@ -154,8 +125,4 @@
     }
 
-    protected function lfGetPreviewTemplatePath() {
-        return USER_INC_REALDIR . 'preview';
-    }
-
     /**
      * デストラクタ.
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php	(revision 20560)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php	(revision 20618)
@@ -106,9 +106,4 @@
 
         switch ($this->getMode()) {
-        case 'preview':
-            $this->lfPreviewPageData($page_id, $device_type_id);
-            exit;
-            break;
-
         case 'delete':
             if (!$this->objLayout->lfCheckBaseData($page_id, $device_type_id)) {
@@ -166,54 +161,4 @@
 
         return $arrPageData[0];
-    }
-
-    /**
-     * プレビュー画面を表示する.
-     *
-     * @param integer $page_id_old 元のページID
-     * @param integer $device_type_id 端末種別ID
-     * @return void
-     */
-    function lfPreviewPageData($page_id_old, $device_type_id) {
-
-        // プレビューの場合ページIDを0にセットする。
-        $page_id = '0';
-        $url = 'preview/index';
-
-        $arrPreData = $this->objLayout->lfGetPageData("page_id = ? AND device_type_id = ?",
-                                                      array($page_id, $device_type_id));
-
-        // DBへデータを更新する
-        $this->lfEntryPageData(
-            $device_type_id,
-            $page_id,
-            $_POST['page_name'],
-            $url,
-            $_POST['header_chk'],
-            $_POST['footer_chk']
-        );
-
-        // TPLファイル作成
-        $cre_tpl = $this->objLayout->getTemplatePath($device_type_id) . "{$url}.tpl";
-        $this->lfCreateFile($cre_tpl, $_POST['tpl_data']);
-
-        // blocposition を削除
-        $objQuery = new SC_Query_Ex(); // DB操作オブジェクト
-        $ret = $objQuery->delete('dtb_blocposition', 'page_id = 0 AND device_type_id = ?', array($device_type_id));
-
-        if ($page_id_old != "") {
-            // 登録データを取得
-            $sql = 'SELECT target_id, bloc_id, bloc_row FROM dtb_blocposition WHERE page_id = ? AND device_type_id = ?';
-            $ret = $objQuery->getAll($sql, array($page_id_old, $device_type_id));
-
-            // blocposition を複製
-            foreach($ret as $row){
-                $row['page_id'] = $page_id;
-                $row['device_type_id'] = $device_type_id;
-                $objQuery->insert('dtb_blocposition', $row);
-            }
-        }
-        $_SESSION['preview'] = 'ON';
-        SC_Response_Ex::sendRedirectFromUrlPath('preview/' . DIR_INDEX_PATH, array('filename' => $arrPageData[0]['filename']));
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php	(revision 20560)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php	(revision 20618)
@@ -117,24 +117,5 @@
 
         switch($this->getMode()) {
-        case 'preview':
-            // プレビューファイル作成
-            $prev_path = USER_INC_REALDIR . 'preview/bloc_preview.tpl';
-            // ディレクトリの作成
-            SC_Utils_Ex::sfMakeDir($prev_path);
-            $res = file_put_contents($prev_path, $_POST['bloc_html']);
-            if ($res === false) {
-                SC_Utils_Ex::sfDispException();
-            }
-
-            // プレビューデータ表示
-            $this->preview = 'on';
-            $this->arrBlocData['tpl_data'] = $_POST['bloc_html'];
-            $this->arrBlocData['tpl_path'] = $prev_path;
-            $this->arrBlocData['bloc_name'] = $_POST['bloc_name'];
-            $this->arrBlocData['filename'] = $_POST['filename'];
-            $this->text_row = $_POST['html_area_row'];
-            break;
         case 'confirm':
-            $this->preview = 'off';
             // エラーチェック
             $this->arrErr = $this->lfErrorCheck($_POST);
@@ -176,5 +157,4 @@
             break;
         case 'delete':
-            $this->preview = 'off';
              // DBへデータを更新する
             $objQuery = new SC_Query_Ex();     // DB操作オブジェクト
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/design/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/design/index.tpl	(revision 20601)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/design/index.tpl	(revision 20618)
@@ -321,5 +321,7 @@
         <div class="btn-area">
             <ul>
+            <!--{if $device_type_id == $smarty.const.DEVICE_TYPE_PC}-->
                 <li><a class="btn-action" href="javascript:;" name='preview' onclick="doPreview();"<!--{if $page_id == "0" or $exists_page == "0"}--> DISABLED<!--{/if}-->><span class="btn-prev">プレビュー</span></a></li>
+            <!--{/if}-->
                 <li><a class="btn-action" href="javascript:;" name='subm' onclick="fnTargetSelf(); fnFormModeSubmit('form1','confirm','',''); return false;"><span class="btn-next">登録する</span></a></li>
             </ul>
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/design/header.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/design/header.tpl	(revision 20512)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/design/header.tpl	(revision 20618)
@@ -30,16 +30,4 @@
     <!--{* ▼ヘッダー編集ここから *}-->
     <h2>ヘッダー編集</h2>
-    <!--{* プレビューここから *}-->
-    <!--{if $header_prev == "on"}-->
-    <div id="design-header-preview">
-        <!--{if $browser_type == 1}-->
-            <div style="zoom:0.8"><!--{include file="`$smarty.const.USER_REALDIR`include/preview/header.tpl"}--></div>
-        <!--{else}-->
-            <span class="attention"><strong>プレビューはIEでのみ表示されます。</strong></span>
-        <!--{/if}-->
-    </div>
-    <!--{/if}-->
-    <!--{* プレビューここまで *}-->
-
     <form name="form_header" id="form_header" method="post" action="?" >
     <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
@@ -57,5 +45,4 @@
         <div class="btn-area">
                 <ul>
-                    <li><a class="btn-action" href="javascript:;" name='preview' onclick="lfnSetBrowser('form_header', 'browser_type'); fnFormModeSubmit('form_header','preview','',''); return false;"><span class="btn-prev">プレビュー</span></a></li>
                     <li><a class="btn-action" href="javascript:;" name='subm' onclick="fnFormModeSubmit('form_header','regist','',''); return false;"><span class="btn-next">登録する</span></a></li>
                 </ul>
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/design/main_edit.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/design/main_edit.tpl	(revision 20516)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/design/main_edit.tpl	(revision 20618)
@@ -24,10 +24,4 @@
 <script type="text/javascript">
 <!--
-function doPreview(){
-    document.form_edit.mode.value="preview"
-    document.form_edit.target = "_blank";
-    document.form_edit.submit();
-}
-
 function fnTargetSelf(){
     document.form_edit.target = "_self";
@@ -103,5 +97,4 @@
     <div class="btn-area">
         <ul>
-            <li><a class="btn-action" href="javascript:;" name='preview' onclick="doPreview(); return false;"><span class="btn-prev">プレビュー</span></a></li>
             <li><a class="btn-action" href="javascript:;" name='subm' onclick="fnTargetSelf(); fnFormModeSubmit('form_edit','confirm','',''); return false;"><span class="btn-next">登録する</span></a></li>
         </ul>
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/design/bloc.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/design/bloc.tpl	(revision 20572)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/design/bloc.tpl	(revision 20618)
@@ -29,12 +29,4 @@
 
     <!--{* ▼ブロック設定 *}-->
-
-    <!--{if $arrBlocData.tpl_path != '' and $preview == on}-->
-    <h3>プレビュー：</h3>
-    <div id="design-bloc-preview">
-        <!--{include file=$arrBlocData.tpl_path}-->
-    </div>
-    <!--{/if}-->
-
     <table>
         <tr>
@@ -65,5 +57,4 @@
     <div class="btn-area">
         <ul>
-            <li><a class="btn-action" href="javascript:;" name='preview' onclick="fnFormModeSubmit('form_bloc','preview','',''); return false;"><span class="btn-prev">プレビュー</span></a></li>
             <li><a class="btn-action" href="javascript:;" name='subm' onclick="fnFormModeSubmit('form_bloc','confirm','',''); return false;"><span class="btn-next">登録する</span></a></li>
         </ul>