Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/cart/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/cart/index.tpl	(revision 20614)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/cart/index.tpl	(revision 20663)
@@ -73,5 +73,5 @@
 	</font>
     <br>
-
+    <!--{if $key != $smarty.const.PRODUCT_TYPE_DOWNLOAD}-->
     <!--{if $arrInfo.free_rule > 0}-->
     <!--{if $arrData[$key].deliv_fee > 0}-->
@@ -81,4 +81,5 @@
     <!--{/if}-->
     <br>
+    <!--{/if}-->
     <!--{/if}-->
 
Index: /branches/version-2_5-dev/data/Smarty/templates/sphone/cart/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/sphone/cart/index.tpl	(revision 20614)
+++ /branches/version-2_5-dev/data/Smarty/templates/sphone/cart/index.tpl	(revision 20663)
@@ -77,9 +77,11 @@
                 <p>
                     <!--{$arrProductType[$key]}-->の合計金額は「<em><!--{$tpl_total_inctax[$key]|number_format}-->円</em>」です。
-                    <!--{if $arrInfo.free_rule > 0}-->
-                        <!--{if $arrData[$key].deliv_fee > 0}-->
-                            あと「<em><!--{$tpl_deliv_free[$key]|number_format}-->円</em>」で送料無料です！！
-                        <!--{else}-->
-                            現在、「<em>送料無料</em>」です！！
+                    <!--{if $key != $smarty.const.PRODUCT_TYPE_DOWNLOAD}-->
+                        <!--{if $arrInfo.free_rule > 0}-->
+                            <!--{if $arrData[$key].deliv_fee > 0}-->
+                                あと「<em><!--{$tpl_deliv_free[$key]|number_format}-->円</em>」で送料無料です！！
+                            <!--{else}-->
+                                現在、「<em>送料無料</em>」です！！
+                            <!--{/if}-->
                         <!--{/if}-->
                     <!--{/if}-->
@@ -88,11 +90,13 @@
                 <p>
                     お買い上げ商品の合計金額は「<em><!--{$tpl_total_inctax[$key]|number_format}-->円</em>」です。
-                    <!--{if $arrInfo.free_rule > 0}-->
-                        <!--{if $arrData[$key].deliv_fee > 0}-->
-                            あと「<em><!--{$tpl_deliv_free[$key]|number_format}-->円</em>」で送料無料です！！
-                        <!--{else}-->
-                            現在、「<em>送料無料</em>」です！！
-                        <!--{/if}-->
-                    <!--{/if}-->
+                    <!--{if $key != $smarty.const.PRODUCT_TYPE_DOWNLOAD}-->
+                        <!--{if $arrInfo.free_rule > 0}-->
+                            <!--{if $arrData[$key].deliv_fee > 0}-->
+                                あと「<em><!--{$tpl_deliv_free[$key]|number_format}-->円</em>」で送料無料です！！
+                            <!--{else}-->
+                                現在、「<em>送料無料</em>」です！！
+                            <!--{/if}-->
+                       <!--{/if}-->
+                   <!--{/if}-->
                 </p>
             <!--{/if}-->
Index: /branches/version-2_5-dev/data/Smarty/templates/default/frontparts/bloc/cart.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/frontparts/bloc/cart.tpl	(revision 20520)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/frontparts/bloc/cart.tpl	(revision 20663)
@@ -31,5 +31,5 @@
                      * 複数の商品種別が存在する場合は非表示
                      *************************************}-->
-                <!--{if $arrCartList.0.TotalQuantity > 0 and $arrCartList.0.free_rule > 0 and !$isMultiple}-->
+                <!--{if $arrCartList.0.TotalQuantity > 0 and $arrCartList.0.free_rule > 0 and !$isMultiple and !$hasDownload}-->
                 <p class="postage">
                     <!--{if $arrCartList.0.deliv_free > 0}-->
Index: /branches/version-2_5-dev/data/Smarty/templates/default/cart/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/cart/index.tpl	(revision 20661)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/cart/index.tpl	(revision 20663)
@@ -80,9 +80,12 @@
                 <p>
                     <!--{$arrProductType[$key]}-->の合計金額は「<span class="price"><!--{$tpl_total_inctax[$key]|number_format}-->円</span>」です。
-                    <!--{if $arrInfo.free_rule > 0}-->
-                        <!--{if $arrData[$key].deliv_fee > 0}-->
-                            あと「<span class="price"<!--{$tpl_deliv_free[$key]|number_format}-->円</span>」で送料無料です！！
-                        <!--{else}-->
-                            現在、「<span class="attention">送料無料</span>」です！！
+                    <!--{if $key != $smarty.const.PRODUCT_TYPE_DOWNLOAD}-->
+                        <!--{if $arrInfo.free_rule > 0}-->
+                            <!--{if $arrData[$key].deliv_fee > 0}-->
+                                あと「<span class="price"><!--{$tpl_deliv_free[$key]|number_format}-->円</span>」で送料無料です！！
+                            <!--{else}-->
+
+                                現在、「<span class="attention">送料無料</span>」です！！
+                            <!--{/if}-->
                         <!--{/if}-->
                     <!--{/if}-->
@@ -91,9 +94,11 @@
                 <p>
                     お買い上げ商品の合計金額は「<span class="price"><!--{$tpl_total_inctax[$key]|number_format}-->円</span>」です。
-                    <!--{if $arrInfo.free_rule > 0}-->
-                        <!--{if $arrData[$key].deliv_fee > 0}-->
-                            あと「<span class="price"><!--{$tpl_deliv_free[$key]|number_format}-->円</span>」で送料無料です！！
-                        <!--{else}-->
-                            現在、「<span class="attention">送料無料</span>」です！！
+                    <!--{if $key != $smarty.const.PRODUCT_TYPE_DOWNLOAD}-->
+                        <!--{if $arrInfo.free_rule > 0}-->
+                            <!--{if $arrData[$key].deliv_fee > 0}-->
+                                あと「<span class="price"><!--{$tpl_deliv_free[$key]|number_format}-->円</span>」で送料無料です！！
+                            <!--{else}-->
+                                現在、「<span class="attention">送料無料</span>」です！！
+                            <!--{/if}-->
                         <!--{/if}-->
                     <!--{/if}-->
Index: /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php	(revision 20540)
+++ /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php	(revision 20663)
@@ -65,4 +65,5 @@
         $objCart = new SC_CartSession_Ex();
         $this->isMultiple = $objCart->isMultiple();
+        $this->hasDownload = $objCart->hasProductType(PRODUCT_TYPE_DOWNLOAD);
         $this->arrCartList = $this->lfGetCartData($objCart);
     }
Index: /branches/version-2_5-dev/data/class/SC_CartSession.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_CartSession.php	(revision 20581)
+++ /branches/version-2_5-dev/data/class/SC_CartSession.php	(revision 20663)
@@ -602,7 +602,22 @@
     }
 
+    /**
+     * 複数配送扱いかどうか.
+     *
+     * @return boolean カートが複数配送扱いの場合 true
+     */
     function isMultiple() {
         return count($this->getKeys()) > 1;
     }
+
+    /**
+     * 引数の商品種別の商品がカートに含まれるかどうか.
+     *
+     * @param integer $product_type_id 商品種別ID
+     * @return boolean 指定の商品種別がカートに含まれる場合 true
+     */
+    function hasProductType($product_type_id) {
+        return in_array($product_type_id, $this->getKeys());
+    }
 }
 ?>