Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 20694)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 20703)
@@ -52,4 +52,5 @@
         $this->arrPref          = $masterData->getMasterData('mtb_pref');
         $this->arrWDAY          = $masterData->getMasterData("mtb_wday");
+        $this->arrProductType   = $masterData->getMasterData("mtb_product_type");
    }
 
Index: /branches/version-2_5-dev/data/Smarty/templates/default/mypage/history.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/mypage/history.tpl	(revision 20681)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/mypage/history.tpl	(revision 20703)
@@ -63,14 +63,14 @@
                     <td><a<!--{if $orderDetail.enable}--> href="<!--{$smarty.const.P_DETAIL_URLPATH}--><!--{$orderDetail.product_id|u}-->"<!--{/if}-->><!--{$orderDetail.product_name|h}--></a></td>
                     <td class="alignC">
-                    <!--{if $orderDetail.product_type_id == PRODUCT_TYPE_DOWNLOAD}-->
+                    <!--{if $orderDetail.product_type_id == $smarty.const.PRODUCT_TYPE_DOWNLOAD}-->
                         <!--{if $orderDetail.price == "0" || ( $orderDetail.status >= "4" && $orderDetail.effective == "1" )}-->
                             <a target="_self" href="<!--{$smarty.const.ROOT_URLPATH}-->mypage/download.php?order_id=<!--{$tpl_arrOrderData.order_id}-->&product_id=<!--{$orderDetail.product_id}-->&product_class_id=<!--{$orderDetail.product_class_id}-->">ダウンロード</a>
                         <!--{elseif $orderDetail.payment_date == "" || $orderDetail.status < "4"}-->
-                            ダウンロード商品<BR />（入金確認中）
+                            <!--{$arrProductType[$orderDetail.product_type_id]}--><BR />（入金確認中）
                         <!--{elseif $orderDetail.effective != "1"}-->
-                            ダウンロード商品<BR />（期限切れ）
+                            <!--{$arrProductType[$orderDetail.product_type_id]}--><BR />（期限切れ）
                         <!--{/if}-->
-                    <!--{else if $orderDetail.product_type_id == PRODUCT_TYPE_NORMAL}-->
-                            通常商品
+                    <!--{else}-->
+                        <!--{$arrProductType[$orderDetail.product_type_id]}-->
                     <!--{/if}-->
                     </td>
Index: /branches/version-2_5-dev/data/Smarty/templates/default/cart/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/cart/index.tpl	(revision 20663)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/cart/index.tpl	(revision 20703)
@@ -36,26 +36,26 @@
         <h2 class="title"><!--{$tpl_title|h}--></h2>
 
-        <!--{if $smarty.const.USE_POINT !== false || count($arrProductsClass) > 0}-->
-                    <!--★ポイント案内★-->
-                    <div class="point_announce">
-                        <!--{if $smarty.const.USE_POINT !== false}-->
-                            <!--{if $tpl_login}-->
-                                <span class="user_name"><!--{$tpl_name|h}--> 様</span>の、現在の所持ポイントは「<span class="point"><!--{$tpl_user_point|number_format|default:0}--> pt</span>」です。<br />
-                            <!--{else}-->
-                                ポイント制度をご利用になられる場合は、会員登録後ログインしてくださいますようお願い致します。<br />
-                            <!--{/if}-->
-                            ポイントは商品購入時に<span class="price">1pt＝<!--{$smarty.const.POINT_VALUE}-->円</span>として使用することができます。<br />
-                        <!--{/if}-->
-                    </div>
-
-                    <!--{* カゴの中に商品がある場合にのみ表示 *}-->
-                    <!--{if count($cartKeys) > 1}-->
-                        <span class="attentionSt"><!--{foreach from=$cartKeys item=key name=cartKey}--><!--{$arrProductType[$key]}--><!--{if !$smarty.foreach.cartKey.last}-->、<!--{/if}--><!--{/foreach}-->は同時購入できません。<br />
-                            お手数ですが、個別に購入手続きをお願い致します。
-                        </span>
-                    <!--{/if}-->
-            <!--{/if}-->
+    <!--{if $smarty.const.USE_POINT !== false || count($arrProductsClass) > 0}-->
+        <!--★ポイント案内★-->
+        <!--{if $smarty.const.USE_POINT !== false}-->
+            <div class="point_announce">
+                <!--{if $tpl_login}-->
+                    <span class="user_name"><!--{$tpl_name|h}--> 様</span>の、現在の所持ポイントは「<span class="point"><!--{$tpl_user_point|number_format|default:0}--> pt</span>」です。<br />
+                <!--{else}-->
+                    ポイント制度をご利用になられる場合は、会員登録後ログインしてくださいますようお願い致します。<br />
+                <!--{/if}-->
+                ポイントは商品購入時に<span class="price">1pt＝<!--{$smarty.const.POINT_VALUE}-->円</span>として使用することができます。<br />
+            </div>
+        <!--{/if}-->
+    <!--{/if}-->
 
     <p class="totalmoney_area">
+        <!--{* カゴの中に商品がある場合にのみ表示 *}-->
+        <!--{if count($cartKeys) > 1}-->
+            <span class="attentionSt"><!--{foreach from=$cartKeys item=key name=cartKey}--><!--{$arrProductType[$key]}--><!--{if !$smarty.foreach.cartKey.last}-->、<!--{/if}--><!--{/foreach}-->は同時購入できません。<br />
+                        お手数ですが、個別に購入手続きをお願い致します。
+            </span>
+        <!--{/if}-->
+
         <!--{if strlen($tpl_error) != 0}-->
             <p class="attention"><!--{$tpl_error|h}--></p>
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/history.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/history.tpl	(revision 20328)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/history.tpl	(revision 20703)
@@ -44,14 +44,14 @@
 商品名：<a<!--{if $orderDetail.enable}--> href="<!--{$smarty.const.P_DETAIL_URLPATH}--><!--{$orderDetail.product_id|u}-->"<!--{/if}-->><!--{$orderDetail.product_name|h}--></a><br>
 商品種別：
-<!--{if $orderDetail.product_type_id == PRODUCT_TYPE_DOWNLOAD}-->
+<!--{if $orderDetail.product_type_id == $smarty.const.PRODUCT_TYPE_DOWNLOAD}-->
 <!--{if $orderDetail.price == "0" || ( $orderDetail.status >= "4" && $orderDetail.effective == "1" )}-->
 <a target="_self" href="<!--{$smarty.const.ROOT_URLPATH}-->mypage/download.php?order_id=<!--{$tpl_arrOrderData.order_id}-->&product_id=<!--{$orderDetail.product_id}-->&product_class_id=<!--{$orderDetail.product_class_id}-->">ダウンロード</a><br>
 <!--{elseif $orderDetail.payment_date == "" || $orderDetail.status < "4"}-->
-ダウンロード商品<br>（入金確認中）<br>
+<!--{$arrProductType[$orderDetail.product_type_id]}--><br>（入金確認中）<br>
 <!--{elseif $orderDetail.effective != "1"}-->
-ダウンロード商品<br>（期限切れ）<br>
+<!--{$arrProductType[$orderDetail.product_type_id]}--><br>（期限切れ）<br>
 <!--{/if}-->
-<!--{else if $orderDetail.product_type_id == PRODUCT_TYPE_NORMAL}-->
-通常商品<br>
+<!--{else}-->
+<!--{$arrProductType[$orderDetail.product_type_id]}--><br>
 <!--{/if}-->
 単価：
Index: /branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/history.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/history.tpl	(revision 20614)
+++ /branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/history.tpl	(revision 20703)
@@ -56,14 +56,14 @@
                 <tr>
                     <td><!--{$orderDetail.product_code|h}--></td>
-                    <td><!--→商品名--><a<!--{if $orderDetail.enable}--> href="<!--{$smarty.const.P_DETAIL_URLPATH}--><!--{$orderDetail.product_id|u}-->"<!--{/if}-->><!--{$orderDetail.product_name|h}--></a><!--←商品名--><br /><!--→商品種別--><!--{if $orderDetail.product_type_id == PRODUCT_TYPE_DOWNLOAD}-->
+                    <td><!--→商品名--><a<!--{if $orderDetail.enable}--> href="<!--{$smarty.const.P_DETAIL_URLPATH}--><!--{$orderDetail.product_id|u}-->"<!--{/if}-->><!--{$orderDetail.product_name|h}--></a><!--←商品名--><br /><!--→商品種別--><!--{if $orderDetail.product_type_id == $smarty.const.PRODUCT_TYPE_DOWNLOAD}-->
                         <!--{if $orderDetail.price == "0" || ( $orderDetail.status >= "4" && $orderDetail.effective == "1" )}-->
                             <a target="_self" href="<!--{$smarty.const.ROOT_URLPATH}-->mypage/download.php?order_id=<!--{$tpl_arrOrderData.order_id}-->&amp;product_id=<!--{$orderDetail.product_id}-->&amp;product_class_id=<!--{$orderDetail.product_class_id}-->">ダウンロード</a>
                         <!--{elseif $orderDetail.payment_date == "" || $orderDetail.status < "4"}-->
-                            ダウンロード商品<BR />（入金確認中）
+                            <!--{$arrProductType[$orderDetail.product_type_id]}--><BR />（入金確認中）
                         <!--{elseif $orderDetail.effective != "1"}-->
-                            ダウンロード商品<BR />（期限切れ）
+                            <!--{$arrProductType[$orderDetail.product_type_id]}--><BR />（期限切れ）
                         <!--{/if}-->
-                    <!--{else if $orderDetail.product_type_id == PRODUCT_TYPE_NORMAL}-->
-                            通常商品
+                    <!--{else}-->
+                        <!--{$arrProductType[$orderDetail.product_type_id]}-->
                     <!--{/if}--><!--←商品種別--><br /><!--→金額--><!--{assign var=price value=`$orderDetail.price`}-->
                     <!--{assign var=quantity value=`$orderDetail.quantity`}-->