Index: branches/version-2_5-dev/html/frontparts/bloc/login_header.php
===================================================================
--- branches/version-2_5-dev/html/frontparts/bloc/login_header.php	(revision 20534)
+++ branches/version-2_5-dev/html/frontparts/bloc/login_header.php	(revision 20764)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: branches/version-2_5-dev/html/frontparts/bloc/login.php
===================================================================
--- branches/version-2_5-dev/html/frontparts/bloc/login.php	(revision 20534)
+++ branches/version-2_5-dev/html/frontparts/bloc/login.php	(revision 20764)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: branches/version-2_5-dev/html/frontparts/bloc/search_products.php
===================================================================
--- branches/version-2_5-dev/html/frontparts/bloc/search_products.php	(revision 20534)
+++ branches/version-2_5-dev/html/frontparts/bloc/search_products.php	(revision 20764)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: branches/version-2_5-dev/html/frontparts/bloc/calendar.php
===================================================================
--- branches/version-2_5-dev/html/frontparts/bloc/calendar.php	(revision 20534)
+++ branches/version-2_5-dev/html/frontparts/bloc/calendar.php	(revision 20764)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: branches/version-2_5-dev/html/frontparts/bloc/cart.php
===================================================================
--- branches/version-2_5-dev/html/frontparts/bloc/cart.php	(revision 20534)
+++ branches/version-2_5-dev/html/frontparts/bloc/cart.php	(revision 20764)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: branches/version-2_5-dev/html/frontparts/bloc/recommend.php
===================================================================
--- branches/version-2_5-dev/html/frontparts/bloc/recommend.php	(revision 20534)
+++ branches/version-2_5-dev/html/frontparts/bloc/recommend.php	(revision 20764)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: branches/version-2_5-dev/html/frontparts/bloc/news.php
===================================================================
--- branches/version-2_5-dev/html/frontparts/bloc/news.php	(revision 20534)
+++ branches/version-2_5-dev/html/frontparts/bloc/news.php	(revision 20764)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: branches/version-2_5-dev/html/frontparts/bloc/category.php
===================================================================
--- branches/version-2_5-dev/html/frontparts/bloc/category.php	(revision 20534)
+++ branches/version-2_5-dev/html/frontparts/bloc/category.php	(revision 20764)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/